<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />
    <uses-permission android:name="android.permission.BLUETOOTH_SCAN" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />

    <queries>
        <package android:name="com.mantra.rdservice" />
        <package android:name="com.scl.rdservicecom.mantra.rdservice" />
        <package android:name="com.precision.pb510.rdservice" />
        <package android:name="com.acpl.registersdk" />
        <package android:name="com.evolute.rdservice" />
        <package android:name="com.nextbiometrics.onetouchrdservice" />
        <package android:name="com.mantra.clientmanagement" />
        <package android:name="com.scl.rdservice" />
        <package android:name="com.mantra.mis100v2.rdservice" />
        <package android:name="com.secugen.rdservice" />
        <package android:name="com.tatvik.bio.tmf20" />
        <package android:name="co.aratek.afour_ngms.rdservice" />
        <package android:name="com.mantra.mfs110.rdservice" />
        <package android:name="com.mantra.mis100v2.rdservice" />
    </queries>

    <application
        android:name=".MyApplication"
        android:allowBackup="true"
        android:dataExtractionRules="@xml/data_extraction_rules"
        android:usesCleartextTraffic="true"
        android:fullBackupContent="@xml/backup_rules"
        android:icon="@mipmap/ippb_icon"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:requestLegacyExternalStorage="true"
        android:theme="@style/Theme.AEPS_JC"
        tools:targetApi="31">
        <activity
            android:name=".bluetooth.BluetoothConnectionActivity"
            android:exported="false"
            android:label="@string/title_activity_bluetooth_connection"
            android:theme="@style/Theme.AEPS_JC" />
        <activity
            android:name=".MainActivity"
            android:exported="true"
            android:label="@string/app_name"
            android:theme="@style/Theme.AEPS_JC">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
<!--                <action android:name="com.aeps.aeps_ippb.MainActivity" />-->

<!--                <category android:name="android.intent.category.DEFAULT"/>-->
            </intent-filter>
        </activity>
        <activity
            android:name=".driver_data.DriverActivity"
            android:exported="false">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true"
            tools:replace="android:authorities">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/file_paths"
                tools:replace="android:resource" />
        </provider>
    </application>

</manifest>